.coupon__block{
	background:rgba(0,0,0,.85);
	width:320px;
	position:fixed;
	height:200px;
	bottom:0;
	right:0;
	color:#fff;
	z-index:9999;
	padding:25px 25px;
	text-align:center;
	animation: show-it  1s 1 ease-in-out;
}



.coupon__block p{
	padding-bottom:15px;
}

@keyframes show-it {
	from {
	  bottom: -100%;
	}
	to {
	  bottom: 0;
	}
}

.coupon__block.hide-out{
	animation: hide-out  1s 1 ease-in-out;
	bottom:-100%;
}
@keyframes hide-out {
	from {
	  bottom: 0;
	}
	to {
	  bottom: -100%;
	}
}

.coupon__label{
	width:80%;
	padding:8px 14px;
	display:block;
	margin:0 auto;
	background:#A626AA;
	text-align:center;
	text-transform:uppercase;
	font-weight:700;
	font-size:1em;
	cursor:pointer;
	transition:all .25s ease-in-out;	
}

.coupon__label:hover{
	background:#892488;
	transition:all .25s ease-in-out;	
}

.coupon__label:before{
	content:attr(data-before);
}

#coupon{
	display:none;
}

#coupon:checked + label {
	background:#45B200;
}

#coupon:checked + label:before {
	content:attr(data-after);
}

#coupon:checked + label:after {
	content: attr(data-copy);
    position: absolute;
    text-transform: none;
    display: block;
    left: 0;
    bottom: 25px;
}

.coupon__close.overlay__close {
    top: 6px;
    right: 4px;
    width: 20px;
    height: 20px;
    background: none;
    font-size: 1.25em;
}
